<?php

namespace Drupal\auto\Adapter;

/**
 * Class AutoAdapter.
 * 
 * @property string $marca
 * @property string $modello
 * @property string[] $date_tagliandi
 * @property \Drupal\auto\Adapter\VolanteAdapter $volante
 * @property \Drupal\auto\Adapter\RuotaAdapter[] $ruote
 * @property \Drupal\auto\Adapter\ConducenteAdapter[] $conducenti
 */
class AutoAdapter extends AdapterBase {

  /**
   * {@inheritdoc}
   */
  protected function attributes() {
    return [
      'date_tagliandi' => [
        'multiple' => TRUE,
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  protected function relationships() {
    return[
      'volante' => [
        static::HAS_ONE_REFERENCING,
        'auto',
      ],
      'ruote' => [
        static::HAS_MANY_REFERENCED,
      ],
      'conducenti' => [
        static::HAS_MANY_REFERENCED,
      ],
    ];
  }

}
