<?php

namespace Drupal\auto;

use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;

/**
 * Access controller for the Conducente entity.
 *
 * @see \Drupal\auto\Entity\Conducente.
 */
class ConducenteAccessControlHandler extends EntityAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  protected function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    /** @var \Drupal\auto\Entity\ConducenteInterface $entity */
    switch ($operation) {
      case 'view':
        if (!$entity->isPublished()) {
          return AccessResult::allowedIfHasPermission($account, 'view unpublished conducente entities');
        }
        return AccessResult::allowedIfHasPermission($account, 'view published conducente entities');

      case 'update':
        return AccessResult::allowedIfHasPermission($account, 'edit conducente entities');

      case 'delete':
        return AccessResult::allowedIfHasPermission($account, 'delete conducente entities');
    }

    // Unknown operation, no opinion.
    return AccessResult::neutral();
  }

  /**
   * {@inheritdoc}
   */
  protected function checkCreateAccess(AccountInterface $account, array $context, $entity_bundle = NULL) {
    return AccessResult::allowedIfHasPermission($account, 'add conducente entities');
  }

}
