<?php

namespace Drupal\auto\Controller;

use Drupal\auto\Entity\Auto;
use Drupal\auto\Entity\Volante;
use Drupal\auto\Entity\Conducente;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class AutoController.
 */
class AutoController extends ControllerBase {

  /**
   * Una semplice vista dell'auto.
   * 
   * @param \Drupal\auto\Entity\Auto $auto
   * @return \Symfony\Component\HttpFoundation\Response
   */
  public function viewAuto(Auto $auto) {
    $content = [];

    $content[] = 'Marca: ' . $auto->adapter->marca;
    $content[] = 'Modello: ' . $auto->adapter->modello;
    $content[] = 'Date tagliandi: ' . implode(', ', $auto->adapter->date_tagliandi);

    $content[] = '';

    $content[] = 'Questa auto monta il volante:';
    $content[] = 'Rivestimento: ' . $auto->adapter->volante->rivestimento;

    $content[] = '';

    $content[] = 'Questa auto monta le ruote:';
    foreach ($auto->adapter->ruote as $ruotaAdapter) {
      $content[] = 'Nome ruota: ' . $ruotaAdapter->name . ', raggio: ' . $ruotaAdapter->raggio;
    }

    $content[] = '';

    $content[] = 'Questa auto è guidata dai seguenti conducenti:';
    foreach ($auto->adapter->conducenti as $conducenteAdapter) {
      $content[] = 'Nome: ' . $conducenteAdapter->nome . ' Cognome: ' . $conducenteAdapter->cognome;
    }

    $content = implode('<br>', $content);
    return new Response($content);
  }

  /**
   * Una semplice vista del volante.
   * 
   * @param \Drupal\auto\Entity\Volante $volante
   * @return \Symfony\Component\HttpFoundation\Response
   */
  public function viewVolante(Volante $volante) {
    $content = [];

    $autoAdapter = $volante->adapter->auto;

    $content[] = 'Il volante è montato su questa auto: ';
    $content[] = 'Marca: ' . $autoAdapter->marca;
    $content[] = 'Modello: ' . $autoAdapter->modello;
    $content[] = 'Date tagliandi: ' . implode(', ', $autoAdapter->date_tagliandi);

    $content[] = '';

    $content[] = 'Rivestimento volante: ' . $volante->adapter->rivestimento;

    $content = implode('<br>', $content);
    return new Response($content);
  }

  /**
   * Una semplice vista del conducente.
   * 
   * @param \Drupal\auto\Entity\Conducente $conducente
   * @return \Symfony\Component\HttpFoundation\Response
   */
  public function viewConducente(Conducente $conducente) {
    $content = [];

    $content[] = 'Conducente: ';
    $content[] = 'Nome: ' . $conducente->adapter->nome;
    $content[] = 'Cognome: ' . $conducente->adapter->cognome;
    $content[] = 'Codice fiscale: ' . $conducente->adapter->codice_fiscale;

    $content[] = '';

    $content[] = 'Questa conducente guida le seguenti auto:';
    foreach ($conducente->adapter->auto as $autoAdapter) {
      $content[] = 'Marca: ' . $autoAdapter->marca . ', modello: ' . $autoAdapter->modello;
    }
    $content = implode('<br>', $content);
    return new Response($content);
  }

}
