<?php

namespace Drupal\auto\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Auto entities.
 *
 * @ingroup auto
 */
interface AutoInterface extends  ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Auto name.
   *
   * @return string
   *   Name of the Auto.
   */
  public function getName();

  /**
   * Sets the Auto name.
   *
   * @param string $name
   *   The Auto name.
   *
   * @return \Drupal\auto\Entity\AutoInterface
   *   The called Auto entity.
   */
  public function setName($name);

  /**
   * Gets the Auto creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Auto.
   */
  public function getCreatedTime();

  /**
   * Sets the Auto creation timestamp.
   *
   * @param int $timestamp
   *   The Auto creation timestamp.
   *
   * @return \Drupal\auto\Entity\AutoInterface
   *   The called Auto entity.
   */
  public function setCreatedTime($timestamp);

  /**
   * Returns the Auto published status indicator.
   *
   * Unpublished Auto are only visible to restricted users.
   *
   * @return bool
   *   TRUE if the Auto is published.
   */
  public function isPublished();

  /**
   * Sets the published status of a Auto.
   *
   * @param bool $published
   *   TRUE to set this Auto to published, FALSE to set it to unpublished.
   *
   * @return \Drupal\auto\Entity\AutoInterface
   *   The called Auto entity.
   */
  public function setPublished($published);

}
