<?php

namespace Drupal\auto\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Conducente entities.
 *
 * @ingroup auto
 */
interface ConducenteInterface extends  ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Conducente name.
   *
   * @return string
   *   Name of the Conducente.
   */
  public function getName();

  /**
   * Sets the Conducente name.
   *
   * @param string $name
   *   The Conducente name.
   *
   * @return \Drupal\auto\Entity\ConducenteInterface
   *   The called Conducente entity.
   */
  public function setName($name);

  /**
   * Gets the Conducente creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Conducente.
   */
  public function getCreatedTime();

  /**
   * Sets the Conducente creation timestamp.
   *
   * @param int $timestamp
   *   The Conducente creation timestamp.
   *
   * @return \Drupal\auto\Entity\ConducenteInterface
   *   The called Conducente entity.
   */
  public function setCreatedTime($timestamp);

  /**
   * Returns the Conducente published status indicator.
   *
   * Unpublished Conducente are only visible to restricted users.
   *
   * @return bool
   *   TRUE if the Conducente is published.
   */
  public function isPublished();

  /**
   * Sets the published status of a Conducente.
   *
   * @param bool $published
   *   TRUE to set this Conducente to published, FALSE to set it to unpublished.
   *
   * @return \Drupal\auto\Entity\ConducenteInterface
   *   The called Conducente entity.
   */
  public function setPublished($published);

}
