<?php

namespace Drupal\auto\Entity;

use Drupal\Core\Entity\ContentEntityBase;

/**
 * Class ContentEntityExtended.
 */
abstract class ContentEntityExtended extends ContentEntityBase {
  
  /**
   * Adapter.
   * 
   * @var \Drupal\auto\Adapter\AdapterBase 
   */
  protected $adapter;
  
  /**
   * Classe concreta dell'adattatore
   * 
   * @return string
   */
  abstract protected function adapterClass();
  
  /**
   * {@inheritdoc}
   */
  public function __construct(array $values, $entity_type, $bundle = FALSE, $translations = array()) {
    parent::__construct($values, $entity_type, $bundle, $translations);
    $adapterClass = $this->adapterClass();
    $this->adapter = new $adapterClass($this);
  }
  
  /**
   * {@inheritdoc}
   */
  public function &__get($name) {
    if ($name == 'adapter') {
      return $this->adapter;
    }
    return parent::__get($name);
  }
  
  /**
   * @return \Drupal\auto\Adapter\AdapterBase
   */
  public function getAdapter() {
    return $this->adapter;
  }
  
}
