<?php

namespace Drupal\auto\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Ruota entities.
 *
 * @ingroup auto
 */
interface RuotaInterface extends  ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Ruota name.
   *
   * @return string
   *   Name of the Ruota.
   */
  public function getName();

  /**
   * Sets the Ruota name.
   *
   * @param string $name
   *   The Ruota name.
   *
   * @return \Drupal\auto\Entity\RuotaInterface
   *   The called Ruota entity.
   */
  public function setName($name);

  /**
   * Gets the Ruota creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Ruota.
   */
  public function getCreatedTime();

  /**
   * Sets the Ruota creation timestamp.
   *
   * @param int $timestamp
   *   The Ruota creation timestamp.
   *
   * @return \Drupal\auto\Entity\RuotaInterface
   *   The called Ruota entity.
   */
  public function setCreatedTime($timestamp);

  /**
   * Returns the Ruota published status indicator.
   *
   * Unpublished Ruota are only visible to restricted users.
   *
   * @return bool
   *   TRUE if the Ruota is published.
   */
  public function isPublished();

  /**
   * Sets the published status of a Ruota.
   *
   * @param bool $published
   *   TRUE to set this Ruota to published, FALSE to set it to unpublished.
   *
   * @return \Drupal\auto\Entity\RuotaInterface
   *   The called Ruota entity.
   */
  public function setPublished($published);

}
