<?php

namespace Drupal\auto\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Volante entities.
 *
 * @ingroup auto
 */
interface VolanteInterface extends  ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Volante name.
   *
   * @return string
   *   Name of the Volante.
   */
  public function getName();

  /**
   * Sets the Volante name.
   *
   * @param string $name
   *   The Volante name.
   *
   * @return \Drupal\auto\Entity\VolanteInterface
   *   The called Volante entity.
   */
  public function setName($name);

  /**
   * Gets the Volante creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Volante.
   */
  public function getCreatedTime();

  /**
   * Sets the Volante creation timestamp.
   *
   * @param int $timestamp
   *   The Volante creation timestamp.
   *
   * @return \Drupal\auto\Entity\VolanteInterface
   *   The called Volante entity.
   */
  public function setCreatedTime($timestamp);

  /**
   * Returns the Volante published status indicator.
   *
   * Unpublished Volante are only visible to restricted users.
   *
   * @return bool
   *   TRUE if the Volante is published.
   */
  public function isPublished();

  /**
   * Sets the published status of a Volante.
   *
   * @param bool $published
   *   TRUE to set this Volante to published, FALSE to set it to unpublished.
   *
   * @return \Drupal\auto\Entity\VolanteInterface
   *   The called Volante entity.
   */
  public function setPublished($published);

}
