<?php

/**
 * @file
 * Contains volante.page.inc.
 *
 * Page callback for Volante entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Volante templates.
 *
 * Default template: volante.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_volante(array &$variables) {
  // Fetch Volante Entity Object.
  $volante = $variables['elements']['#volante'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
